package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.ArrayList;
import java.util.List;

/**
 * 对应数据库表(sys_music_score_categories):
 */
public class SysMusicScoreCategories {

	/**  */
	private Integer id;
	
	/**  */
	private Integer parentId;

	private String organId;

	private Boolean enable = false;
	
	/** 名称 */
	private String name;
	
	/** 封面图片 */
	private String coverImg;
	
	/** 操作人 */
	private Integer operatorId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private String delCategoriesIds;

	private String organNames;

	private Integer order;

	private Integer musicScoreNum;

	private Integer musicScoreNumSum;
	
	private String soundResource;

	public Integer getMusicScoreNum() {
		return musicScoreNum;
	}

	public void setMusicScoreNum(Integer musicScoreNum) {
		this.musicScoreNum = musicScoreNum;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public String getOrganNames() {
		return organNames;
	}

	public void setOrganNames(String organNames) {
		this.organNames = organNames;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getOrganId() {
		return organId;
	}

	public void setOrganId(String organId) {
		this.organId = organId;
	}

	private List<SysMusicScoreCategories> sysMusicScoreCategoriesList = new ArrayList<SysMusicScoreCategories>();

	public String getDelCategoriesIds() {
		return delCategoriesIds;
	}

	public void setDelCategoriesIds(String delCategoriesIds) {
		this.delCategoriesIds = delCategoriesIds;
	}

	public List<SysMusicScoreCategories> getSysMusicScoreCategoriesList() {
		return sysMusicScoreCategoriesList;
	}

	public void setSysMusicScoreCategoriesList(List<SysMusicScoreCategories> sysMusicScoreCategoriesList) {
		this.sysMusicScoreCategoriesList = sysMusicScoreCategoriesList;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}
	
	public Integer getParentId(){
		return this.parentId;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCoverImg(String coverImg){
		this.coverImg = coverImg;
	}
	
	public String getCoverImg(){
		return this.coverImg;
	}
			
	public void setOperatorId(Integer operatorId){
		this.operatorId = operatorId;
	}
	
	public Integer getOperatorId(){
		return this.operatorId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public String getSoundResource() {
		return soundResource;
	}

	public void setSoundResource(String soundResource) {
		this.soundResource = soundResource;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public Integer getMusicScoreNumSum() {
		return musicScoreNumSum;
	}

	public void setMusicScoreNumSum(Integer musicScoreNumSum) {
		this.musicScoreNumSum = musicScoreNumSum;
	}
}
